<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Служба поддержки');
$title->GetHeader();
if ($b['level'] < 3) {
header('location:/');
die();
}
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/administration/"style="text-decoration:none; color:white;"> Дата-центр</a> :: Служба поддержки</div></div></div>';

$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `support`");
if ($look == 0) {
err('Ничего нет!');
}
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM `support` ORDER BY `id` DESC LIMIT $start,$num");
while($a = $sql->fetch()) {
$WHO = Nick($a['user_id']);
$last = DB::$dbs->queryFetch("SELECT * FROM `support_mess` WHERE `tid` = ? ORDER BY `time` DESC LIMIT 1", [$a['id']]);
$_WHO = Nick($last['user_id']);
$author = ($last > 0 ? $_WHO : $WHO);
$list_cat = [1 => 'Оплата через WEBMONEY/QIWI', 2 => 'Проблемы с платежами', 3 => 'Изменение ника', 4 => 'Обжалование наказаний', 5 => 'Общие вопросы', 6 => 'Восстановление пароля', 7 => 'Изменение пароля', 8 => 'Найденные ошибки', 9 => 'Случаи мошенничества', 10 => 'Финансы, биллинг', 11 => 'Служба поддержки', 12 => 'Жалобы на администрацию', 13 => 'Заявки на участие в закрытых тестированиях.']; // массив с категориями

echo '<div class="list-group-item media"><a href="/support/view.html?id='.$a['id'].'"><i class="zmdi zmdi-shuffle"></i>    '.$a['name'].'</a> ('.vr($a['time']).')</br>Категория: '.strtr($a['cat'], $list_cat).'<br/>Авт.: '.Nick($a['user_id']).' / Посл.: '.$author.'<br/>Статус: <b>'.($a['type'] == 1 ? 'Открытый тикет':'Закрытый тикет').'</b></div>';
}
if ($k_page > 1) {
str('?',$k_page,$page);
}
$title->GetMenu();
$title->GetFooter();
?>